
void DisplayBMback(hwnd, hdc, lpBitmap, bStretch) /* FILENAME: BMBACK.C */
HWND hwnd;
HDC hdc;
LPSTR lpBitmap;
BOOL bStretch;
{
    RECT rc;
    HANDLE hOldObject, hBitmap;
    int Offset, bmX, bmY, bmWide, bmHigh;

    GetClientRect(hwnd, &rc);

    Offset = GetSystemMetrics(SM_CYMENU)+1;
    bmX = rc.left;
    bmY = rc.top;
    bmWide = rc.right - rc.left;

    if(!hdcMem)
        hdcMem = CreateCompatibleDC(hdc);

    hBitmap = LoadBitmap(hInst, lpBitmap);
    hOldObject = SelectObject(hdcMem, hBitmap);

    if(bStretch)
    {
        bmHigh = rc.bottom - rc.top-Offset;
        StretchBlt(hdc, bmX, bmY, bmWide, bmHigh,
                       hdcMem, 0, 0, 320, 200, SRCCOPY);
    }
    else
    {
        bmHigh = rc.bottom - rc.top;
        BitBlt(hdc, bmX, bmY, bmWide, bmHigh,
                              hdcMem, 0, 0, SRCCOPY);
    }

    SelectObject(hdc, hBitmap);
}
