long FAR PASCAL RectWndProc(hwnd, msg, wParam, lParam)
HWND hwnd;                  /* FILENAME: RWNDPROC.C */
unsigned msg;
WORD wParam;
LONG lParam;
{
    char Caption[25];
    HBRUSH hBrush;
    HDC hdc;
    PAINTSTRUCT ps;
    RECT rc;

    switch(msg)
    {
        case WM_PAINT:
            GetClientRect(hwnd, &rc);
            GetWindowText(hwnd, Caption, sizeof(Caption));
            hdc = BeginPaint(hwnd, &ps);

            hBrush=CreateSolidBrush(RGB(255, 0, 0));
            hBrush = SelectObject(hdc, hBrush);
            SetBkColor(hdc, RGB(255, 0, 0));

            Rectangle(hdc, rc.left, rc.top,
                        rc.right, rc.bottom);

            DrawText(hdc, Caption, -1, &rc,
                       DT_SINGLELINE | DT_CENTER | DT_VCENTER);

            DeleteObject(SelectObject(hdc, hBrush));
            EndPaint(hwnd, &ps);
            break;

        case WM_KEYUP:
            if(wParam != VK_SPACE)
                break;

        case WM_LBUTTONUP:
            SendMessage(GetParent(hwnd), WM_COMMAND,
                GetWindowWord(hwnd, GWW_ID), (LONG)hwnd);
            break;

        default:
            return(DefWindowProc(hwnd, msg, wParam, lParam));
    }
    return(0L);
}
