/* CHAP08.H   (Header File for GDI Potpourri) */


/* Window Procedures */

   long FAR PASCAL WindowProcedure(HWND, unsigned, WORD, LONG);
   long FAR PASCAL MessageBarWndProc(HWND, unsigned, WORD, LONG);
   long FAR PASCAL ClockBarWndProc(HWND, unsigned, WORD, LONG);
   long FAR PASCAL RectWndProc(HWND, unsigned, WORD, LONG);

/* Dialog Box Procedures */

   BOOL FAR PASCAL AboutBoxDB2(HWND, unsigned, WORD, LONG);
   BOOL FAR PASCAL OwnerDrawDB(HWND, unsigned, WORD, LONG);
   BOOL FAR PASCAL RectBoxDB(HWND, unsigned, WORD, LONG);

/* Window Initializations */

   BOOL InitClockBar(HANDLE);
   BOOL InitODcursor(HANDLE);
   BOOL InitMessageBar(HANDLE);
   BOOL InitRectControl(HANDLE);
   HWND CreateODwindow(HANDLE, int);
   HWND CreateMessageBar(HWND);
   HWND CreateClockBar(HWND);

/* GDI Routines */

   BOOL DrawBMbutton(HWND, LPSTR, LPDRAWITEMSTRUCT);
   void DisplayBMback(HWND, HDC, LPSTR, BOOL);
   void PaintWNDhatch(HWND, HDC);

/* Misc Routines */

   int CallDBcode(HWND, FARPROC, LPSTR);

/* Global variables and constants */

   DWORD dwStyle = WS_OVERLAPPEDWINDOW | WS_CLIPCHILDREN | WS_VISIBLE;
   HANDLE hInst;
   HCURSOR hOldCursor, hAppCursor, hSizeCursor;
   HWND hwndClient, hwndClockBar, hwndMsgBar;
   HDC hdcMem;
   char szCurTime[9]  = " ",
        szOldMsg[81] = " ",
        szMsg[81] = " ",
        szBlank[81] = " ";

   short CharWidth, Index;
   int ScreenWidth, ScreenHeight;
   BOOL ShowBitmap = FALSE;

   #define TIMERDELAY 150
   #define IDW_CHILD  5000

 /* Resource IDs */

   #define DLG_OPEN      300
   #define DLG_ABOUT     400
   #define DLG_OWNDRW    500

   #define IDW_STATBAR   IDW_CHILD
   #define IDW_MSGBAR    IDW_CHILD+2
   #define IDW_CLOCKBAR  IDW_CHILD+4

   #define IDD_FILENAME  DLG_OPEN
   #define IDD_FILETYPE  DLG_OPEN+2

   #define IDD_ICON      DLG_ABOUT
   #define IDD_HELP      DLG_ABOUT+2

   #define IDD_STATE     DLG_OWNDRW
   #define IDD_OWNDRW    DLG_OWNDRW+2

   #define IDM_FILE        101
   #define IDM_OWNERDRAW   102
   #define IDM_BITMAP      103
   #define IDM_WORKSHEET   104
   #define IDM_ABOUT       105
   #define IDM_EXIT        106

   #define IDM_UNDO        120
   #define IDM_CUT         121
   #define IDM_COPY        122
   #define IDM_PASTE       123
   #define IDM_SELECT      124
   #define IDM_SELECTALL   125
   #define IDM_SETTINGS    126
   #define IDM_MODE        127
   #define IDM_DISPLAY     128
   #define IDM_CONFIG      129
   #define IDM_HELP        130
   #define IDM_INDEX       131
   #define IDM_TOPICS      132
   #define IDM_FIND        133
   #define IDM_FINDLAST    134
   #define IDM_HELPHELP    135




